PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::detail::DataVectorGC Struct Reference

Garbage collector info for DataVector. More...

`#include <plask/data.hpp>`

Collaboration diagram for plask::detail::DataVectorGC:
[legend]

## Public Member Functions
| DataVectorGC (unsigned initial)
| DataVectorGC (unsigned initial, const std::function< void(void *)> &deleter)
| DataVectorGC (unsigned initial, std::function< void(void *)> &&deleter)
void | free (void *data)
| ~DataVectorGC ()

## Public Attributes
std::atomic< unsigned > | count
std::function< void(void *)> * | deleter

## Detailed Description

Garbage collector info for DataVector.

Definition at line 90 of file data.hpp.

## Constructor & Destructor Documentation

## ◆ DataVectorGC() [1/3]

plask::detail::DataVectorGC::DataVectorGC | ( | unsigned | initial | ) |
| inline explicit

Definition at line 97 of file data.hpp.

## ◆ DataVectorGC() [2/3]

plask::detail::DataVectorGC::DataVectorGC | ( | unsigned | initial,
|  | const std::function< void(void *)> & | deleter
| ) |  |
| inline explicit

Definition at line 99 of file data.hpp.

## ◆ DataVectorGC() [3/3]

plask::detail::DataVectorGC::DataVectorGC | ( | unsigned | initial,
|  | std::function< void(void *)> && | deleter
| ) |  |
| inline explicit

Definition at line 102 of file data.hpp.

## ◆ ~DataVectorGC()

plask::detail::DataVectorGC::~DataVectorGC | ( |  | ) |
| inline

Definition at line 110 of file data.hpp.

## Member Function Documentation

## ◆ free()

void plask::detail::DataVectorGC::free | ( | void * | data | ) |
| inline

Definition at line 105 of file data.hpp.

## Member Data Documentation

## ◆ count

std::atomic<unsigned> plask::detail::DataVectorGC::count

Definition at line 93 of file data.hpp.

## ◆ deleter

std::function<void(void*)>* plask::detail::DataVectorGC::deleter

Definition at line 95 of file data.hpp.

The documentation for this struct was generated from the following file:

- plask/data.hpp